
Name:    lucene++
Summary: A high-performance, full-featured text search engine written in C++
Version: 3.0.6
Release: 1%{?dist}

License: ASL 2.0 or LGPLv3+
Url:     https://github.com/luceneplusplus/LucenePlusPlus
Source:  https://github.com/luceneplusplus/LucenePlusPlus/archive/rel_%{version}.tar.gz#/%{name}-%{version}.tar.gz

Patch1:  lucene++-3.0.6-pc_files_fix.patch
Patch2:  lucene++-3.0.6-fix_installing_headers.patch
Patch3:  lucene++-3.0.6-multiarch.patch

BuildRequires: boost-devel
BuildRequires: cmake >= 2.8.6
BuildRequires: pkgconfig
BuildRequires: subversion

%description
An up to date C++ port of the popular Java Lucene library, a high-performance, full-featured text search engine.

%package devel
Summary: Development files for lucene++
Requires: %{name}%{?_isa} = %{version}-%{release}
%description devel
Development files for lucene++, a high-performance, full-featured text search engine written in C++


%prep
%setup -q -n LucenePlusPlus-rel_%{version}

%patch1 -p1 -b .pc_files_fix
%patch2 -p1 -b .fix_installing_headers
%patch3 -p1 -b .multiarch


%build
mkdir %{_target_platform}
pushd %{_target_platform}
%cmake .. \
  -DCMAKE_BUILD_TYPE:String="release"

make %{?_smp_mflags} lucene++ lucene++-contrib
popd


%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%doc COPYING APACHE.license GPL.license LGPL.license
%doc AUTHORS README* REQUESTS
%{_libdir}/liblucene++.so.0*
%{_libdir}/liblucene++.so.%{version}
%{_libdir}/liblucene++-contrib.so.0*
%{_libdir}/liblucene++-contrib.so.%{version}

%files devel
%{_includedir}/lucene++/
%{_libdir}/liblucene++.so
%{_libdir}/liblucene++-contrib.so
%{_libdir}/pkgconfig/liblucene++.pc
%{_libdir}/pkgconfig/liblucene++-contrib.pc


%changelog
* Wed Nov 05 2014 Rex Dieter <rdieter@fedoraproject.org> 3.0.6-1
- fedora-ize opensuse .spec

* Sun Oct 19 2014 andreas.stieger@gmx.de
- fixes for .pc files in lucene++-3.0.6-pc_files_fix.patch
- add upstream patch lucene++-3.0.6-multiarch.patch to work with
  %%cmake makro
- fix build for openSUSE 12.3

* Sat Oct 18 2014 andreas.stieger@gmx.de
- lucene++ 3.0.6, a high-performance, full-featured text search
  engine written in C++,
- upstream patches:
  * lucene++-3.0.6-pc_files_fix.patch - fix pkgconfig files
  * lucene++-3.0.6-fix_installing_headers.patch fix header install
